%-----------------------------------------------------------------------
%
% Vykreslenie priebehov urcovania zhlukov na zaklade poctu definovanych
% spojeni v simulacnom prostredi
%
% (c) Martin Krajcir 2009
%
%-----------------------------------------------------------------------

% maximalny pocet spojeni pri simulacii
max_conn = 21;

% percentualny pocet spravne zameranych simulacii pre dany pocet spojeni
sim1 = [ Inf 0  0 29 42 64 72 76 82  93  100 100 100 100 100 100 100 100 100 100 100 ];
sim2 = [ Inf 0 23 46 54 72 88 96 100 100 100 100 100 100 100 100 100 100 100 100 100 ];
sim3 = [ Inf 0 16 42 49 69 85 91  98 100 100 100 100 100 100 100 100 100 100 100 100 ];

% priemerny pocet potrebnych clusterov na simulacne prostredie
clusters1 = [ Inf 10 7.60 6.110 5.158 4.357 4.273 4.240 4.223 4 4 4 4 4 4 4 4 4 4 4 4 ];  
clusters2 = [ Inf 10 6.15 5.115 4.625 4.319 4.176 4.097 4 4 4 4 4 4 4 4 4 4 4 4 4 ];
clusters3 = [ Inf 10 6.00 5.633 4.892 4.521 4.259 4.121 4.056 4 4 4 4 4 4 4 4 4 4 4 4 ];

interval = 1:1:max_conn;

%Vykreslenie percentualnej zavyslosti vytvorenych zhlukov
data = [sim1, sim2, sim3 ; interval, interval, interval];
data = data'
x = data(:,2);
y = data(:,1);
figure(1);
lineplot(x, y, 'style_thickline', 'linewidth', 1);
handle = title('Percentuálny podiel správne vypočítaných zhlukov v závislosti na počte spojení');
set(handle, 'FontName', 'Times New Roman CE');
handle = xlabel('Počet náhodných spojení pre každý uzol');
set(handle, 'FontName', 'Times New Roman CE');
handle = ylabel('Podiel správne ukončených simulácií [%]');
set(handle, 'FontName', 'Times New Roman CE');

%Zavislost vypocitanych zhlukov na pocte spojeni
data = [clusters1, clusters2, clusters3 ; interval, interval, interval];
data = data';
x = data(:,2);
y = data(:,1);
figure(2);
lineplot(x, y, 'style_thickline', 'linewidth', 1);
handle = title('Závislosť vypočítaných zhlukov na počte spojení');
set(handle, 'FontName', 'Times New Roman CE');
handle = xlabel('Počet náhodných spojení pre každý uzol');
set(handle, 'FontName', 'Times New Roman CE');
handle = ylabel('Počet vytvorených zhlukov');
set(handle, 'FontName', 'Times New Roman CE');